#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module
%bcond_with	tests	# unit tests (display required)

%define		module	pyglet
Summary:	A cross-platform windowing and multimedia library for Python
Summary(pl.UTF-8):	Międzyplatformowa biblioteka Pythona do obsługi okien i multimediów
Name:		python-%{module}
Version:	1.4.4
Release:	3
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/pyglet/
Source0:	https://files.pythonhosted.org/packages/source/p/pyglet/%{module}-%{version}.zip
# Source0-md5:	ebd53b60f55b5d50e63f86e7df121e7a
URL:		http://www.pyglet.org/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	OpenGL >= 3
BuildRequires:	python-mock
BuildRequires:	python-pytest
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	OpenGL >= 3
BuildRequires:	python3-pytest
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pyglet provides an object-oriented programming interface for
developing games and other visually-rich applications.

%description -l pl.UTF-8
pyglet dostarcza interfejs do programowania zorientowanego obiektowo
dla rozwoju gier i innych aplikacji wizualnych.

%package -n python3-%{module}
Summary:	A cross-platform windowing and multimedia library for Python
Summary(pl.UTF-8):	Międzyplatformowa biblioteka Pythona do obsługi okien i multimediów
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-%{module}
pyglet provides an object-oriented programming interface for
developing games and other visually-rich applications.

%description -n python3-%{module} -l pl.UTF-8
pyglet dostarcza interfejs do programowania zorientowanego obiektowo
dla rozwoju gier i innych aplikacji wizualnych.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
%{__python} -m pytest tests
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
%{__python3} -m pytest tests
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE NOTICE README.rst RELEASE_NOTES
%{py_sitescriptdir}/pyglet
%{py_sitescriptdir}/pyglet-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc LICENSE NOTICE README.rst RELEASE_NOTES
%{py3_sitescriptdir}/pyglet
%{py3_sitescriptdir}/pyglet-%{version}-py*.egg-info
%endif
%changelog
* Fri Feb 26 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyglet.git;a=log;h=master

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 981d266
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 4120a77
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Sep 12 2019 Jakub Bogusz <qboosh@pld-linux.org> eb8b39f
- updated to 1.4.4; OpenGL and OpenAL are now wrapped via ctypes

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bdeb6eb
- release 9 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 331e4bf
- python 3.6
- release 8 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> e4bcedd
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 77210f5
- release 7 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 9b4ed0a
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b22bea3
- python3.5 rebuild
- release 6 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ba2053e
- python 3.5 rebuild
- release 5 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a4b6df3
- python 3.4
- release 4 (by relup.sh)

* Wed Feb 26 2014 Jan Rękorajski <baggins@pld-linux.org> 3f67a2c
- S openal for py2, no openal for py3
- rel 3

* Wed Feb 26 2014 Jan Rękorajski <baggins@pld-linux.org> 4bdc255
- added python3 module
- rel 2

* Fri Jan 22 2010 lisu <lisu@pld-linux.org> 4989003
- up to 1.1.4

* Tue Mar 24 2009 lisu <lisu@pld-linux.org> fad7263
- proper license

* Tue Mar 24 2009 lisu <lisu@pld-linux.org> 770077c
- added to cvs

